﻿namespace DemoTelerikSelectionDragnDrop.Model
{
    public class Thing : ModelBase
    {
        private string _name;
        private string _category;

        public Thing(string name, string category)
        {
            _name = name;
            _category = category;
        }

        public string Name
        {
            get { return _name; }
            set
            {
                if (_name == value)
                {
                    return;
                }

                _name = value;
                RaisePropertyChanged(() => Name);
            }
        }

        public string Category
        {
            get { return _category; }
            set
            {
                if (_category == value)
                {
                    return;
                }

                _category = value;
                RaisePropertyChanged(() => Category);
            }
        }
    }
}
