﻿using DemoTelerikSelectionDragnDrop.Model;
using System.Collections.ObjectModel;

namespace DemoTelerikSelectionDragnDrop.ViewModel
{
    public class MyPaneViewModel : GalaSoft.MvvmLight.ViewModelBase
    {
        private ObservableCollection<ThingViewModel> things;
        public ObservableCollection<ThingViewModel> Things 
        { 
            get
            {
                return this.things;
            }
            set
            {
                if(this.things != value)
                {
                    this.things = value;
                    this.RaisePropertyChanged("Things");
                }
            }
        }

        private ObservableCollection<ThingViewModel> things2;
        public ObservableCollection<ThingViewModel> Things2
        {
            get
            {
                return this.things2;
            }
            set
            {
                if (this.things2 != value)
                {
                    this.things2 = value;
                    this.RaisePropertyChanged("Things2");
                }
            }
        }

        private ObservableCollection<ThingViewModel> things3;
        public ObservableCollection<ThingViewModel> Things3
        {
            get
            {
                return this.things3;
            }
            set
            {
                if (this.things3 != value)
                {
                    this.things3 = value;
                    this.RaisePropertyChanged("Things3");
                }
            }
        }

        public MyPaneViewModel()
        {
            Things = new ObservableCollection<ThingViewModel>
            {
                new ThingViewModel(new Thing("AAAAAAAAAA", "A")),
                new ThingViewModel(new Thing("BBBBBBBBBB", "A")),
                new ThingViewModel(new Thing("CCCCCCCCCC", "A")),
                new ThingViewModel(new Thing("DDDDDDDDDD", "A")),
                new ThingViewModel(new Thing("EEEEEEEEEE", "A")),
            };
        }

        private ThingViewModel selectedThing;

        public ThingViewModel SelectedThing
        {
            get
            {
                return this.selectedThing;
            }
            set
            {
                if(this.selectedThing != value)
                {
                    this.selectedThing = value;
                    RaisePropertyChanged("SelectedThing");
                }
            }
        }
    }
}
